4

Where on the app store can I find this "latest compatible Version thing? I have tried to download the remote app for ios6 but there is no button or anything. So I downloaded the iOS7 App but that one does not install on my iPhone (5).

  • Are you saying that the iPhone 5 runs iOS 7 and is having problems with the app that downloaded or you have another device running iOS 6 or that perhaps the iPhone 5 is running iOS 6? – bmike Jan 2 '14 at 17:23
3

iTunes on Mac or Windows currently doesn't offer a way to download older versions of an app. If you have an incremental backup and downloaded the app before you might be able to pull the old .ipa file from your backup.

Otherwise you need to download the app directly from your iPhone/iPad running iOS6 (or any other older version). The Store app will try to download the most recent version first and then get back to you with a prompt asking whether you want to download the most recent compatible version instead.

There doesn't appear to be a way to expose this previous version information other than attempting a download on an app by app basis.

  • 1
    Also, it is important that the developer has the application requirements, per-version, correct.For example, the PBS Kids app shows a minimum iOS version of 4.3, but their latest version (2.0.6) breaks on pre-iOS 6 devices, yet still installs. – Hugo Jan 2 '14 at 18:06

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .